package com.lantone.common.constant;

/**
 * @Description: 权限相关常量定义
 * @author: rengb
 * @time: 2021/1/5 18:27
 */
public interface AuthConstant {

    /**
     * JWT存储权限前缀
     */
    String AUTHORITY_PREFIX = "ROLE_";

    /**
     * JWT存储权限属性
     */
    String AUTHORITY_CLAIM_NAME = "authorities";

    /**
     * 用户处理中心client_id
     */
    String SECURITY_CENTER_CLIENT_ID = "security-center";

    /**
     * 后台管理接口路径匹配
     */
    String ADMIN_URL_PATTERN = "/security/**";

    /**
     * Redis缓存权限规则key
     */
    String RESOURCE_ROLES_MAP_KEY = "auth:resourceRolesMap";

    /**
     * 认证信息Http请求头
     */
    String JWT_TOKEN_HEADER = "Authorization";

    /**
     * JWT令牌前缀
     */
    String JWT_TOKEN_PREFIX = "Bearer ";

    /**
     * 用户信息Http请求头
     */
    String USER_TOKEN_HEADER = "user";

}