package com.lantone.common.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @ClassName: DataAuthDetailDTO
 * @Description:
 * @Author songxl
 * @Date 2021/7/22
 * @Version 1.0
 */
@Data
public class DataAuthDetailDTO implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "编号")
    private Long id;

    @ApiModelProperty(value = "数据权限编号")
    private Long serviceDataAuthId;

    @ApiModelProperty(value = "数据范围类型：：1:全部组织,2:全部科室,3:全部科室除本科室外,4:本科室,5:本医疗组,6:本人,7:自定义")
    private Integer dataType;

    @ApiModelProperty(value = "detail_id的类型 1：detail_id为医院id 2：为科室id3：为医生id")
    private Integer detailType;

    @ApiModelProperty(value = "医院、科室、医生id")
    private Long detailId;

    @ApiModelProperty(value = "创建用户编号")
    private Long creator;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "是否删除,N:未删除，Y:删除")
    private String isDeleted;

    /**
     * 可看组织
     */

    private HospitalDTO hospitalDTOS;
    /**
     * 可看医生列表
     */
}
