package com.lantone.common.dto;

import lombok.Data;

/**
 * @ClassName: ServiceRoleDataAuthDetailDTO
 * @Description: 服务、角色、数据权限明细关联对象
 * @Author songxl
 * @Date 2021/7/22
 * @Version 1.0
 */
@Data
public class ServiceRoleDataAuthDetailDTO {
    /**
     * 服务、角色、数据权限关联id
     */
    private Long serviceRoleDataAuthDetailId;
    /**
     * 系统数据权限id
     */
    private Long serviceDataAuthId;
    /**
     * 数据权限详情id
     */
    private Long detail;
    /**
     * 数据权限id
     */
    private Long dataAuthId;
    /**
     * 数据权限名称
     */
    private String dataAuthName;
    /**
     * 数据权限启用禁用状态
     */
    private String status;
    /**
     * 数据范围类型：：1:全部组织,2:全部科室,3:全部科室除本科室外,4:本科室,5:本医疗组,6:本人,7:自定义
     */
    private Integer dataType;
    /**
     * detail_id的类型 1：detail_id为医院id 2：为科室id3：为医生id
     */
    private Integer detailType;
    /**
     * 医院、科室、医生id
     */
    private Long detailId;
    /**
     * 系统id
     */
    private Long serviceId;

    /**
     * 系统名称
     */
    private String serviceName;
    /**
     * 角色id
     */
    private Long roleId;
    /**
     * 角色名称
     */
    private String roleName;

}
