package com.lantone.common.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @ClassName: SysServiceVO
 * @Description: 系统服务对象
 * @Author songxl
 * @Date 2021/7/21
 * @Version 1.0
 */
@Data
public class SysServiceDTO implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "编号")
    private Long id;

    @ApiModelProperty(value = "服务名称")
    private String name;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "创建用户编号")
    private Long creator;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "排序")
    private String orderNo;

    @ApiModelProperty(value = "是否删除,N:未删除，Y:删除")
    private String isDeleted;
    @ApiModelProperty(value = "数据权限详情列表")
    private List<DataAuthDetailDTO> dataAuthDetailDTOS;
    @ApiModelProperty(value = "角色列表")
    private List<RoleDTO> roles;
}
