package com.lantone.common.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @ClassName: DataAuthVO
 * @Description: 数据权限对象
 * @Author songxl
 * @Date 2021/7/21
 * @Version 1.0
 */
@Data
public class DataAuthVO implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "编号")
    private Long id;

    @ApiModelProperty(value = "数据权限名称")
    private String authName;

    @ApiModelProperty(value = "状态 0:禁用，1：启用")
    private String status;

    @ApiModelProperty(value = "排序")
    private String orderNo;

    @ApiModelProperty(value = "医院ID")
    private String hospitalId;

    @ApiModelProperty(value = "创建用户编号")
    private Long creator;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "是否删除,N:未删除，Y:删除")
    private String isDeleted;
    @ApiModelProperty("系统列表")
    private List<SysServiceVO> serviceVOS;
}
