package com.lantone.dblayermbg.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 数据权限表
 * </p>
 */
@Data
@TableName("sys_data_auth")
@ApiModel(value="DataAuth对象", description="数据权限表")
public class DataAuth implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "编号")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "数据权限名称")
    @TableField("auth_name")
    private String authName;

    @ApiModelProperty(value = "状态 0:禁用，1：启用")
    @TableField("status")
    private String status;

    @ApiModelProperty(value = "排序")
    @TableField("order_no")
    private String orderNo;

    @ApiModelProperty(value = "医院ID")
    @TableField("hospital_id")
    private String hospitalId;

    @ApiModelProperty(value = "创建用户编号")
    @TableField("creator")
    private Long creator;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private Date createTime;

    @ApiModelProperty(value = "是否删除,N:未删除，Y:删除")
    @TableField("is_deleted")
    private String isDeleted;


}
