package com.lantone.dblayermbg.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 * 字典管理表
 * </p>
 */
@Data
@TableName("sys_dictionaries")
@ApiModel(value="Dictionaries对象", description="字典管理表")
public class Dictionaries implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "字典id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "代码类别")
    @TableField("type")
    private String type;

    @ApiModelProperty(value = "字典编码")
    @TableField("code")
    private String code;

    @ApiModelProperty(value = "代码名称")
    @TableField("name")
    private String name;

    @ApiModelProperty(value = "字典说明")
    @TableField("explain")
    private String explain;

    @ApiModelProperty(value = "状态 0:禁用，1：启用")
    @TableField("status")
    private String status;

    @ApiModelProperty(value = "是否删除,N:未删除，Y:删除")
    @TableField("is_deleted")
    private String isDeleted;


}
