package com.lantone.dblayermbg.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 组织表
 * </p>
 */
@Data
@TableName("sys_hospital")
@ApiModel(value="Hospital对象", description="组织表")
public class Hospital implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "编号")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @TableField("parent_id")
    private Long parentId;

    @ApiModelProperty(value = "医院编码")
    @TableField("org_code")
    private String orgCode;

    @ApiModelProperty(value = "父级编码")
    @TableField("parent_code")
    private String parentCode;

    @ApiModelProperty(value = "名称")
    @TableField("name")
    private String name;

    @ApiModelProperty(value = "归属区域")
    @TableField("region")
    private String region;

    @ApiModelProperty(value = "组织类型（0:AI病案质控平台 1:集团医院 2:医共 3:医联 4:医院）")
    @TableField("type")
    private String type;

    @ApiModelProperty(value = "排序")
    @TableField("order_no")
    private String orderNo;

    @ApiModelProperty(value = "状态 0:禁用，1：启用")
    @TableField("status")
    private String status;

    @ApiModelProperty(value = "创建者编号")
    @TableField("creator")
    private Long creator;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private Date createTime;

    @ApiModelProperty(value = "是否删除,N:未删除，Y:删除")
    @TableField("is_deleted")
    private String isDeleted;


}
