package com.lantone.dblayermbg.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 系统操作日志表
 * </p>
 */
@Data
@TableName("sys_log")
@ApiModel(value="Log对象", description="系统操作日志表")
public class Log implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "编号")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "操作内容")
    @TableField("operationContent")
    private String operationContent;

    @ApiModelProperty(value = "日志类型(正常、异常)")
    @TableField("type")
    private String type;

    @ApiModelProperty(value = "操作ip地址")
    @TableField("remote_addr")
    private String remoteAddr;

    @ApiModelProperty(value = "用户代理")
    @TableField("user_agent")
    private String userAgent;

    @ApiModelProperty(value = "请求uri")
    @TableField("request_uri")
    private String requestUri;

    @ApiModelProperty(value = "http请求方法")
    @TableField("method")
    private String method;

    @ApiModelProperty(value = "http请求体")
    @TableField("params")
    private String params;

    @ApiModelProperty(value = "异常信息")
    @TableField("exception")
    private String exception;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_date")
    private Date createDate;

    @ApiModelProperty(value = "操作人")
    @TableField("operator")
    private String operator;

    @ApiModelProperty(value = "是否删除,N:未删除，Y:删除")
    @TableField("is_deleted")
    private String isDeleted;


}
