package com.lantone.dblayermbg.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 医疗小组信息表
 * </p>
 */
@Data
@TableName("sys_medoup")
@ApiModel(value="Medoup对象", description="医疗小组信息表")
public class Medoup implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "医院ID")
    @TableField("hospital_id")
    private Long hospitalId;

    @ApiModelProperty(value = "科室ID")
    @TableField("dept_id")
    private Long deptId;

    @ApiModelProperty(value = "医疗小组编码")
    @TableField("code")
    private String code;

    @ApiModelProperty(value = "医疗小组姓名")
    @TableField("name")
    private String name;

    @ApiModelProperty(value = "创建用户编号")
    @TableField("creator")
    private Long creator;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private Date createTime;

    @ApiModelProperty(value = "是否删除,N:未删除，Y:删除")
    @TableField("is_deleted")
    private String isDeleted;


}
