package com.lantone.dblayermbg.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 病区表
 * </p>
 */
@Data
@TableName("sys_region")
@ApiModel(value="Region对象", description="病区表")
public class Region implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "医院ID")
    @TableField("hospital_id")
    private Long hospitalId;

    @ApiModelProperty(value = "病区编码")
    @TableField("code")
    private String code;

    @ApiModelProperty(value = "病区名称")
    @TableField("name")
    private String name;

    @ApiModelProperty(value = "首字母拼音")
    @TableField("spell")
    private String spell;

    @ApiModelProperty(value = "区域类别")
    @TableField("station")
    private String station;

    @ApiModelProperty(value = "排序")
    @TableField("order_no")
    private String orderNo;

    @ApiModelProperty(value = "创建用户编号")
    @TableField("creator")
    private Long creator;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private Date createTime;

    @ApiModelProperty(value = "是否删除,N:未删除，Y:删除")
    @TableField("is_deleted")
    private String isDeleted;


}
