package com.lantone.dblayermbg.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 角色服务菜单功能关联表
 * </p>
 */
@Data
@TableName("sys_service_menu")
@ApiModel(value="ServiceMenu对象", description="角色服务菜单功能关联表")
public class ServiceMenu implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "编号")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "角色系统编号")
    @TableField("role_service_id")
    private Long roleServiceId;

    @ApiModelProperty(value = "菜单功能编号")
    @TableField("menu_id")
    private Long menuId;

    @ApiModelProperty(value = "排序")
    @TableField("order_no")
    private String orderNo;

    @ApiModelProperty(value = "创建用户编号")
    @TableField("creator")
    private Long creator;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private Date createTime;

    @ApiModelProperty(value = "是否删除,N:未删除，Y:删除")
    @TableField("is_deleted")
    private String isDeleted;


}
