package com.lantone.security.enums;

import com.lantone.common.constant.KeyedNamed;
import lombok.Setter;

/**
 * @ClassName: CRUDEnum
 * @Description: 增删改查注解
 * @Author songxl
 * @Date 2021/7/21
 * @Version 1.0
 */
public enum CRUDEnum implements KeyedNamed {
    ADD(1, "添加"),
    UPDATE(2, "修改"),
    DELETE(3, "删除"),
    SELECT(4, "查询");

    @Setter
    private int key;

    @Setter
    private String name;

    CRUDEnum(int key, String name) {
        this.key = key;
        this.name = name;
    }

    public static CRUDEnum getEnum(int key) {
        for (CRUDEnum item : CRUDEnum.values()) {
            if (item.key == key) {
                return item;
            }
        }
        return null;
    }

    public static String getName(int key) {
        CRUDEnum item = getEnum(key);
        return item != null ? item.name : null;
    }

    @Override
    public int getKey() {
        return key;
    }

    @Override
    public String getName() {
        return null;
    }
}
