package com.lantone.security.web;

import com.google.common.collect.Lists;
import com.lantone.common.api.CommonResult;
import com.lantone.common.domain.UserDto;
import com.lantone.common.vo.LoginVO;
import com.lantone.security.facade.UserAdminFacade;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.ResponseBody;

/**
 * @Description: 用户管理
 * @author: rengb
 * @time: 2021/1/5 18:27
 */
@Controller
@Api(tags = "UserAdminController", description = "用户管理")
@RequestMapping("/userAdmin")
public class UserAdminController {

    @Autowired
    private UserAdminFacade userAdminFacade;

    @ApiOperation(value = "登录以后返回token")
    @RequestMapping(value = "/login", method = RequestMethod.POST)
    @ResponseBody
    public CommonResult login(@Validated @RequestBody LoginVO loginVO) {
        return userAdminFacade.login(loginVO);
    }

    @ApiOperation(value = "登出功能")
    @RequestMapping(value = "/logout", method = RequestMethod.POST)
    @ResponseBody
    public CommonResult logout() {
        return CommonResult.success(null);
    }

    @ApiOperation(value = "登录以后返回token")
    @RequestMapping(value = "/getMyName", method = RequestMethod.POST)
    @ResponseBody
    public CommonResult getMyName() {
        return CommonResult.success("任国宾");
    }


    @ApiOperation("根据用户名获取通用用户信息")
    @RequestMapping(value = "/loadByUsername", method = RequestMethod.GET)
    @ResponseBody
    public UserDto loadUserByUsername(@RequestParam String username) {
        if (!username.equals("lantone")) {
            return null;
        }
        UserDto userDTO = new UserDto();
        userDTO.setUsername("lantone");
        userDTO.setPassword("$2a$10$T/ndIW6vgydYOVqj0syXeeSvgYbChiIU.azRmoZ.uqDQhYjN.yozy");
        userDTO.setId(1l);
        userDTO.setClientId("security-center");
        userDTO.setStatus(1);
        userDTO.setRoles(Lists.newArrayList("t1"));
        return userDTO;
    }

}